/*
 * net_msgs.hpp
 *
 * Messages used in the broadcast protocol (used for LAN game discovery)
 * 
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef NET_MSGS_HPP
#define NET_MSGS_HPP

#include "version.hpp"

#define BROADCAST_PING_MSG ("KTS" KNIGHTS_VERSION "\x02")
#define BROADCAST_PONG_HDR ("KTS" KNIGHTS_VERSION "\x03")

const int BROADCAST_PORT = 16398;

#endif
